mod indicators {
    pub mod git;
    pub mod ssh;
    pub mod user;
}
use indicators::git;

use crate::indicators::ssh;
use crate::indicators::user;

fn main() {
    let mut prompt: String = String::new();

    let indicate_user: bool = true;
    let indicate_ssh: bool = true;
    let indicate_git_branch: bool = true;

    if indicate_git_branch {
        let git_info = git::info();
        match git_info {
            Some((_repo, branch)) => prompt += &git::indicator(Some(branch)).to_string(),
            None => prompt += &git::indicator(None).to_string(),
        };
    }
    if indicate_ssh {
        prompt += &ssh::indicator().to_string();
    }
    if indicate_user {
        prompt += &user::indicator().to_string();
    }
    print!("{prompt} ");
}
